Customers
Get customer
GET
/
v1
/
customers
/
{id}
Get customer
curl --request GET \
--url https://sand-api.orquestr.dev/cloud/v1/customers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sand-api.orquestr.dev/cloud/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sand-api.orquestr.dev/cloud/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "o2222222-2222-2222-2222-222222222222",
"name": "Acme Retail",
"owner_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"created_at": "2026-09-01T15:05:00.000Z",
"updated_at": "2026-09-10T09:00:00.000Z",
"external_customer_id": "acme-store-01"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}⌘I
Get customer
curl --request GET \
--url https://sand-api.orquestr.dev/cloud/v1/customers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sand-api.orquestr.dev/cloud/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sand-api.orquestr.dev/cloud/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "o2222222-2222-2222-2222-222222222222",
"name": "Acme Retail",
"owner_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"created_at": "2026-09-01T15:05:00.000Z",
"updated_at": "2026-09-10T09:00:00.000Z",
"external_customer_id": "acme-store-01"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}
